<template>
  <div class="grid pl-2">
    <div class="col-12">
      <div class="surface-card shadow-2 border-round p-4 text-center">
        <div class="flex align-items-center justify-content-between mb-3">
          <div class="text-900 font-medium text-xl">Access Token</div>
        </div>
        <Password
          v-model="accessToken"
          pt:input:root:autocomplete="one-time-code"
          label="Add your Access Token"
          :feedback="false"
          :toggle-mask="true"
        />
      </div>
    </div>
    <div class="col-12">
      <div class="surface-card shadow-2 border-round p-4 text-center">
        <div class="flex align-items-center justify-content-between mb-3">
          <div class="text-900 font-medium text-xl">Team</div>
        </div>
        <Chips
          v-model="teamList"
          autocomplete="one-time-code"
          pt:input:autocomplete="one-time-code"
        />
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import Chips from "primevue/chips";
import Password from "primevue/password";

const teamList = useCookie("teamList");
const accessToken = useCookie("accessToken");
</script>
